package com.banesco.infrastructure.rest.mappers;

import com.banesco.domain.bian.request.RecUpdateCardStatusRequest;
import com.banesco.domain.models.CurrentState;
import com.banesco.infrastructure.dtos.card.BusUpdateCardStatusRequest;
import jakarta.enterprise.context.ApplicationScoped;

@ApplicationScoped
public class PaymentCardMapper {


    public BusUpdateCardStatusRequest toBusinessRequest(
            CurrentState currentState,
            RecUpdateCardStatusRequest receptionRequest
    ) {

        BusUpdateCardStatusRequest request = new BusUpdateCardStatusRequest(
                currentState.requestId(),
                currentState.fintechId(),
                receptionRequest.getCustomerReference(),
                receptionRequest.getDevice(),
                receptionRequest.getCardReference()

        );


        return request;

    }
}
